> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Allowed Config



## OpenAPI

````yaml GET /deployments/get-allowed-config
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /deployments/get-allowed-config:
    get:
      tags:
        - Deployments
      summary: Get Allowed Config
      operationId: get_allowed_config
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDeploymentAllowedConfigResponseObject'
components:
  schemas:
    GetDeploymentAllowedConfigResponseObject:
      title: GetDeploymentAllowedConfigResponseObject
      type: object
      required:
        - input_guardrails_policy
        - output_guardrails_policy
      properties:
        input_guardrails_policy:
          title: Input Guardrails Policy
          type: object
          required:
            - additional_config
            - block
          properties:
            additional_config:
              title: Additional Config
              type: object
              properties:
                pii_redaction:
                  title: PII Redaction
                  type: boolean
                  example: true
            block:
              $ref: '#/components/schemas/BaseBlockOptions'
        output_guardrails_policy:
          title: OutputGuardrailsPolicy
          type: object
          required:
            - additional_config
            - block
          properties:
            additional_config:
              title: Additional Config
              type: object
              properties:
                pii_redaction:
                  title: PII Redaction
                  type: boolean
                  example: true
            block:
              $ref: '#/components/schemas/OutputBlockOptions'
      example:
        input_guardrails_policy:
          additional_config:
            pii_redaction: true
          block:
            - topic_detector
            - nsfw
            - toxicity
            - pii
            - injection_attack
            - keyword_detector
            - policy_violation
            - bias
            - sponge_attack
        output_guardrails_policy:
          additional_config:
            hallucination: true
            adherence: true
            relevancy: true
          block:
            - topic_detector
            - nsfw
            - toxicity
            - pii
            - injection_attack
            - keyword_detector
            - policy_violation
            - bias
            - adherence
            - relevancy
    BaseBlockOptions:
      title: BaseBlockOptions
      type: array
      items:
        title: BaseBlockOptions
        type: string
        enum:
          - topic_detector
          - nsfw
          - toxicity
          - pii
          - injection_attack
          - keyword_detector
          - policy_violation
          - bias
          - sponge_attack
        description: Base block options for input and output guardrails
    OutputBlockOptions:
      title: OutputBlockOptions
      allOf:
        - $ref: '#/components/schemas/BaseBlockOptions'
        - title: OutputBlockOptions
          type: array
          items:
            title: OutputBlockOptions
            type: string
            enum:
              - hallucination
              - adherence
              - relevancy
            description: Additional block options specific to output guardrails
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````